Bug 998452 - Newly included mod_macro should be loaded upon startup
Newly included mod_macro should be loaded upon startup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 07:02 EDT by Patrick Monnerat
Modified: 2014-02-15 02:02 EST (History)
3 users (show)

See Also:
Fixed In Version: httpd-2.4.7-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:25:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Monnerat 2013-08-19 07:02:03 EDT
Description of problem:
httpd now includes mod_macro.so, but this module is not loaded upon startup.

Version-Release number of selected component (if applicable):
httpd-2.4.6-2.fc18

How reproducible:
Always.

Steps to Reproduce:
1. Define a <Macro ...> in an httpd configuration file.
2. Start httpd.

Actual results:
httpd fails starting.

Expected results:
httpd starts properly and the macro commands are available.

Additional info:
The line
   LoadModule macro_module modules/mod_macro.so
should be added to /etc/httpd/conf.modules.d/00-base.conf or to some other /etc/httpd/conf.modules.d/00-*.conf file.
Comment 3 Fedora End Of Life 2013-12-21 10:48:08 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora Update System 2014-01-27 08:48:03 EST
httpd-2.4.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/httpd-2.4.7-1.fc19
Comment 5 Fedora Update System 2014-01-27 23:42:18 EST
Package httpd-2.4.7-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing httpd-2.4.7-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1651/httpd-2.4.7-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora End Of Life 2014-02-05 18:25:08 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Fedora Update System 2014-02-15 02:02:52 EST
httpd-2.4.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.